.node {
  &.node-teaser {
    // @todo Refactor
    &.node-event {
      position: relative;
      border: 1px solid @well-border;
      margin-bottom: @line-height-computed; // @todo Replace with proper variable
      background-color: @body-bg;

      h2 {
        margin-top: 0;
      }

      @media @tablet {
        &:before {
          content: '';
          display: block;
          width: 0;
          height: 0;
          border-width: 2px 40px 2px 0;
          border-style: solid;
          border-color: transparent @well-border transparent transparent;
          position: absolute;
          left: -40px;
          top: 1.6em;
        }
      }
    }
  }

  // @todo Refactor
  &.node-unpublished {
    background-color: @state-danger-bg;
  }
  // @todo Refactor
  .unpublished-item {
    color: @state-danger-text;
  }
}

////////////////////
// Generic styling for node
.node {
  @entity();

  .page-node:not(.front) .main & {
    grid-gap: @gap-entity;
  }

  &__content {
    @media (max-width: @grid-float-breakpoint) {
      .border(0, 0, 1, 0, @color-divider);
      padding-bottom: @gap-entity;
    }
  }

  &--event &__title,
  &--guide &__title {
    &::before {
      @icon();
      color: @color-meta;
      font-size: @font-size-aux;
      position: absolute;
      right: 0;
    }

    & {
      padding-right: @gap * 2;
      position: relative;
    }
  }

  &--event &__title::before {
    content: @fa-var-calendar-o;
  }

  &--guide &__title::before {
    content: @fa-var-book;
  }

  &__links > * {
    background-color: @color-entity-links-bg-hover;
  }

  &__comments-count {
    &::before,
    &::after {
      @icon();
    }

    &::before {
      content: @fa-var-commenting-o;
      margin-right: @gap-icon;

      .has-new-comments & {
        content: @fa-var-commenting;
        color: @color-notification;
      }

      .has-no-comments & {
        content: @fa-var-comment-o;
      }

    }

    .has-accepted-answer & {
      display: flex;
    }

    &::after {
      .has-accepted-answer & {
        content: @fa-var-check;
        color: @color-notification;
        order: -1;
        margin-right: @gap-inline-v;
      }
    }
  }

  &__new-comments {
    color: @color-notification;
  }

  &__meta {
    .node__voting {
      display: flex;

      .flag-wrapper {
        margin-right: @gap-inline-v;

        i {
          font-size: 1.5rem;
        }
      }
    }
  }
}
